<template>
  <q-card-section class="q-pt-md bg-primary text-white">
    <q-toolbar-title>
      <div class="help__close">
        <q-icon name="close" @click="emit_close" class="cursor-pointer"/>
      </div>
      {{ sections[current_section].title }}
    </q-toolbar-title>
  </q-card-section>
  <q-carousel v-model="current_section"
              arrows
              navigation
              navigation-position="bottom"
              control-color="primary"
              class="full-height">
    <q-carousel-slide name="algemeen">
      <Algemeen></Algemeen>
    </q-carousel-slide>
    <q-carousel-slide name="rendering">
      <Rendering></Rendering>
    </q-carousel-slide>
    <q-carousel-slide name="concepten">
      <Concepten></Concepten>
    </q-carousel-slide>
    <q-carousel-slide name="definition">
      <Definition></Definition>
    </q-carousel-slide>
    <q-carousel-slide name="dimension">
      <Dimension></Dimension>
    </q-carousel-slide>
    <q-carousel-slide name="tabellen">
      <Tabellen></Tabellen>
    </q-carousel-slide>
    <q-carousel-slide name="presentations">
      <Presentations></Presentations>
    </q-carousel-slide>
    <q-carousel-slide name="linkrole">
      <Linkroles></Linkroles>
    </q-carousel-slide>
    <q-carousel-slide name="itemtype">
      <Itemtype></Itemtype>
    </q-carousel-slide>
    <q-carousel-slide name="referenties">
      <Referenties></Referenties>
    </q-carousel-slide>
    <q-carousel-slide name="labels">
      <Labels></Labels>
    </q-carousel-slide>
    <q-carousel-slide name="assertions">
      iets over assertions
    </q-carousel-slide>

  </q-carousel>
</template>

<script>
import Algemeen from "src/help/algemeen";
import Rendering from "src/help/Rendering";
import Concepten from "src/help/Concepten";
import Definition from "src/help/Definition";
import Dimension from "src/help/Dimension";
import Tabellen from "src/help/Tabellen";
import Presentations from "src/help/Presentations";
import Linkroles from "src/help/Linkroles";
import Itemtype from "src/help/Itemtype";
import Referenties from "src/help/Referenties";
import Labels from "src/help/Labels";

export default {
  name: "Help",
  components: {
    Referenties,
    Itemtype,
    Definition,
    Dimension,
    Concepten,
    Rendering,
    Algemeen,
    Tabellen,
    Presentations,
    Linkroles,
    Labels
  },
  emits: ["close_help"],
  props: {
    section: undefined
  },
  methods: {
    emit_close: function () {
      this.$emit('close_help')
    }
  },
  data() {
    return {
      current_section: this.section,
      sections: {
        algemeen: {
          title: "Algemeen"
        },
        rendering: {
          title: "Rendering"
        },
        concepten: {
          title: "Concepten"
        },
        definition: {
          title: "Definition link"
        },
        dimension: {
          title: "Dimensions"
        },
        tabellen: {
          title: "Tabellen"
        },
        presentations: {
          title: "Presentations"
        },
        linkrole: {
          title: "Linkroles"
        },
        itemtype: {
          title: "Itemtypes"
        },
        referenties: {
          title: "Referenties"
        },
        labels: {
          title: "Labels"
        },
        assertions: {
          title: "Assertions"
        }
      }
    }
  }
}
</script>

<style scoped>
</style>
